catalog:
  title: Pepper Plus Core

templates:
- cmake-catkin
- base

variables:
  description: >-
    This ROS meta package consists of several sub-packages which implement the Pepper robot's core modules, e.g, sensors,
    actuators, tablet service, description, etc.
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de
  access: private

  repository: https://gitlab.ub.uni-bielefeld.de/pepper-robot-plus/pepper-core.git
  branches:
  - master

  extra-requires:
  - nature: freestyle
    target: python-mqtt
  - nature: freestyle
    target: rospy-message-converter
  - nature: catkin
    target: pepper-naoqi-driver-py

  platform-requires:
    ubuntu:
      xenial:
        packages:
        - ros-${ros}-desktop
        - ros-${ros}-pepper-meshes
        - ros-${ros}-desktop
        - ros-${ros}-teleop-twist-keyboard
        - ros-${ros}-moveit
        - ros-${ros}-joy-teleop
        - ros-${ros}-teleop-twist-joy
        - ros-${ros}-teleop-twist-keyboard
        - ros-${ros}-gmapping
        - ros-${ros}-slam-gmapping
        - ros-${ros}-teleop-twist-keyboard
        - ros-${ros}-move-base
        - ros-${ros}-map-server
        - ros-${ros}-amcl
        - ros-${ros}-dwa-local-planner
        - ros-${ros}-pepper-meshes
        - ros-${ros}-depthimage-to-laserscan
        - ros-${ros}-pointcloud-to-laserscan
        - ros-${ros}-naoqi-libqi
        - ros-${ros}-naoqi-libqicore
        - ros-${ros}-aruco-detect
        - ros-${ros}-naoqi-sensors-py
        - ros-${ros}-camera-info-manager
        - doxygen
        - python-sphinx

  cmake.options:
  - CATKIN_ENABLE_TESTING=OFF
  - '@{next-value|[]}'

